Package: VectraPolarisData
Title: Vectra Polaris and Vectra 3 multiplex single-cell imaging data
Version: 1.15.0
Date: 2022-03-31
Authors@R: c(
    person("Wrobel", "Julia", , "julia.wrobel@cuanschutz.edu", role = c("aut", "cre"),
    comment = c(ORCID = "0000-0001-6783-1421")),
    person("Tusharkanti", "Ghosh", role = "aut", email = "tusharkanti.ghosh@cuanschutz.edu"))
Description: Provides two multiplex imaging datasets collected on Vectra instruments at the University of Colorado Anschutz Medical Campus.
    Data are provided as a Spatial Experiment objects. 
    Data is provided in tabular form and has been segmented and phenotyped using Inform software.
    Raw .tiff files are not included.
URL: https://github.com/julia-wrobel/VectraPolarisData
BugReports: https://support.bioconductor.org/t/VectraPolarisData
biocViews: ExperimentHub, ExperimentData, SpatialData, SingleCellData,
        Homo_sapiens_Data, ReproducibleResearch
Depends: ExperimentHub, SpatialExperiment, utils
RoxygenNote: 7.1.2
Suggests: BiocStyle, knitr, rmarkdown, dplyr
VignetteBuilder: knitr
Encoding: UTF-8
License: Artistic-2.0
git_url: https://git.bioconductor.org/packages/VectraPolarisData
git_branch: devel
git_last_commit: 5ad67c7
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.23
Date/Publication: 2025-11-04
NeedsCompilation: no
Packaged: 2025-11-04 16:49:59 UTC; biocbuild
Author: Wrobel Julia [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-6783-1421>),
  Tusharkanti Ghosh [aut]
Maintainer: Wrobel Julia <julia.wrobel@cuanschutz.edu>

<!-- README.md is generated from README.Rmd. Please edit that file -->

# VectraPolarisData

<!-- badges: start -->
<!-- badges: end -->

The `VectraPolarisData` package provides two large multiplex
immunofluorescence datasets, collected using [Vectra 3 and Vectra
Polaris](https://www.akoyabio.com/phenoptics/mantra-vectra-instruments/)
instruments. Data included a study of lung cancer and a study of ovarian
cancer, and are provided as objects of class `SpatialExperiment`.

## Installation instructions

Until the next update of Bioconductor in April, the package is currently
only available through GitHub and requires the developer version of
Bioconductor to be installed:

``` r
# This will also require you to install the devel version of R from CRAN
if (!requireNamespace("BiocManager", quietly=TRUE))
    install.packages("BiocManager")
BiocManager::install(version = "devel")


BiocManager::install("julia-wrobel/VectraPolarisData")


# Installation instructions once new version of Bioc is available
# if (!requireNamespace("BiocManager", quietly = TRUE)) {
#     install.packages("BiocManager")
# }

#BiocManager::install("VectraPolarisData")
```

## Example

Here you can load data from the package. Data from the [lung cancer
study](https://www.jto.org/article/S1556-0864(21)02175-4/fulltext) are
loaded below.

``` r
library(VectraPolarisData)
spe_lung <- HumanLungCancerV3()
spe_lung
```

Data from the [ovarian cancer
study](https://aacrjournals.org/mcr/article/19/12/1973/675069/The-Spatial-Context-of-Tumor-Infiltrating-Immune)
are loaded below.

``` r
spe_ovarian <- HumanOvarianCancerVP()
spe_ovarian
```

These datasets are provided as `SpatialExperiment` class objects. More
detailed information about these datasets is available in the package
vignette.

---
output: github_document
---

<!-- README.md is generated from README.Rmd. Please edit that file -->

```{r, include = FALSE}
knitr::opts_chunk$set(
    collapse = TRUE,
    comment = "#>",
    fig.path = "man/figures/README-",
    out.width = "100%"
)
```

# VectraPolarisData

<!-- badges: start -->
<!-- badges: end -->

The `VectraPolarisData` package provides two large multiplex immunofluorescence datasets, collected using [Vectra 3 and Vectra Polaris](https://www.akoyabio.com/phenoptics/mantra-vectra-instruments/) instruments. Data included a study of lung cancer and a study of ovarian cancer, and are provided as objects of class `SpatialExperiment`. 


## Installation instructions

Until the next update of Bioconductor in April, the package is currently only available through GitHub and requires the developer version of Bioconductor to be installed: 

```{r 'install', eval = FALSE}
# This will also require you to install the devel version of R from CRAN
if (!requireNamespace("BiocManager", quietly=TRUE))
    install.packages("BiocManager")
BiocManager::install(version = "devel")


BiocManager::install("julia-wrobel/VectraPolarisData")


# Installation instructions once new version of Bioc is available
# if (!requireNamespace("BiocManager", quietly = TRUE)) {
#     install.packages("BiocManager")
# }

#BiocManager::install("VectraPolarisData")
```

## Example

Here you can load data from the package. Data from the [lung cancer study](https://www.jto.org/article/S1556-0864(21)02175-4/fulltext) are loaded below.

```{r example1, eval = requireNamespace('VectraPolarisData')}
library(VectraPolarisData)
spe_lung <- HumanLungCancerV3()
spe_lung
```


Data from the [ovarian cancer study](https://aacrjournals.org/mcr/article/19/12/1973/675069/The-Spatial-Context-of-Tumor-Infiltrating-Immune) are loaded below.

```{r example2, eval = requireNamespace('VectraPolarisData')}
spe_ovarian <- HumanOvarianCancerVP()
spe_ovarian
```



These datasets are provided as `SpatialExperiment` class objects. More detailed information about these datasets is available in the package vignette.

# Human Lung Cancer from Vectra 3 experiment
library(tidyverse)
library(SpatialExperiment)
library(VectraPolarisData)

source("inst/scripts/make-data.R")

######################################################################
# Convert Inform-processed mIHC data to SpatialExperiment object
sample_path = "data"
spe_lung = readVectraTable(sample_path = sample_path,
                           save = FALSE)
# Data has 8 markers for 1604786 cells.
# 153 subjects
# 761 total images

######################################################################
# Load clinical data
file_path_clinical = "data/Lung_clinical.csv"
clinical_data = read_csv(file_path_clinical)

######################################################################
# Process clinical data

# survival_status is censoring variable 0 = alive, 1 = dead
clinical_data = clinical_data %>%
  janitor::clean_names() %>%
  # create mhcII high/low variable
  mutate(mhcII_status = ifelse(floor(ck_hlad_rpos_total) > 5, "high", "low")) %>%
  # select variables of interest
  select(patient_id, gender, mhcII_status, age_at_diagnosis, stage_at_diagnosis, stage_numeric, pack_years,
         survival_days, survival_status = censor_0_alive_1_dead,
         #t, n, m, largest_size, number_ln_taken, number_ln, lvi,  # commenting out because don't know what these variables are
         #therapy_type, number_cycles, # these don't seem too useful from a data analysis standpoint (lots of NAs)
         cause_of_death, adjuvant_therapy,
         time_to_recurrence_days, recurrence_or_lung_ca_death)


######################################################################
# Add clinical data to spe object via colData

# process patient id variable (called slide_id in the Vectra data) to match up with Vectra data
vectra_id <- tibble(slide_id = unique(colData(spe_lung)$slide_id),
       id = slide_id) %>%
  separate(id, into = c("number", "patient_id"), sep = " ") %>%
  select(-number)

# merge with clinical_data
clinical_data <- inner_join(vectra_id, clinical_data, by = "patient_id") %>%
  select(-patient_id) %>% as.data.frame()

# add as table to the dataset as metadata
metadata(spe_lung)$clinical_data <- clinical_data

######################################################################
# save spe object
saveRDS(spe_lung, file = "data/spe_lung.rds")

## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----message = FALSE, warning = FALSE-----------------------------------------
library(VectraPolarisData)
spe_lung <- HumanLungCancerV3()
spe_ovarian <- HumanOvarianCancerVP()

## ----eval = FALSE-------------------------------------------------------------
# library(ExperimentHub)
# eh <- ExperimentHub()        # initialize hub instance
# q <- query(eh, "VectraPolarisData") # retrieve 'VectraPolarisData' records
# id <- q$ah_id[1]             # specify dataset ID to load
# spe <- eh[[id]]              # load specified dataset

## ----echo=FALSE---------------------------------------------------------------
# image from Righelli et al. 2021
url <- "SPE.png"

## ----message = FALSE----------------------------------------------------------
library(dplyr)

## Assays slots
assays_slot <- assays(spe_ovarian)
intensities_df <- assays_slot$intensities
rownames(intensities_df) <- paste0("total_", rownames(intensities_df))
nucleus_intensities_df<- assays_slot$nucleus_intensities
rownames(nucleus_intensities_df) <- paste0("nucleus_", rownames(nucleus_intensities_df))
membrane_intensities_df<- assays_slot$membrane_intensities
rownames(membrane_intensities_df) <- paste0("membrane_", rownames(membrane_intensities_df))

# colData and spatialData
colData_df <- colData(spe_ovarian)
spatialCoords_df <- spatialCoords(spe_ovarian)

# clinical data
patient_level_df <- metadata(spe_ovarian)$clinical_data

cell_level_df <- as.data.frame(cbind(colData_df, 
                                     spatialCoords_df,
                                     t(intensities_df),
                                     t(nucleus_intensities_df),
                                     t(membrane_intensities_df))
                               )


ovarian_df <- full_join(patient_level_df, cell_level_df, by = "sample_id")


## -----------------------------------------------------------------------------
sessionInfo()

# function define below converts vectra .txt files to spatial experiment object

# Loads data from a Vectra3 or Vectra Polaris experiment in cell segmented tabular form
# the function right now assumes a file structure where folder contains multiple txt files, each is from one image
# can also handle "Consolidated_data" file of multiple images/subjects


## sample_path should point to a directory with one or multiple txt files
readVectraTable <- function(sample_path = "",
                            save = FALSE){

    # get file names
    # throw errors/warnings
    files <- list.files(sample_path, pattern = ".txt",
                        full.names = TRUE)


    # for each individual txt file, do the following
    spel <- lapply(seq_along(files), function(f){
        # load data
        if(require(phenoptr)){df <- read_cell_seg_data(files[f])
        }else{
            library(vroom)
            df <- vroom(files[f], col_names = TRUE)
            colnames(df) <- gsub(pattern = " \\(Normalized Counts, Total Weighting\\)", "",
                                 colnames(df))
        }

        # convert column names to snake case
        df = janitor::clean_names(df)

        # define matrices for assays. All assays have same rownames
        intensities_assay <- t(as.matrix(subset(df, select = names(df)[intersect(grep("entire_cell", names(df)), grep("_mean", names(df)))])))
        rownames(intensities_assay) <- substr(rownames(intensities_assay), start = 13, stop = nchar(rownames(intensities_assay))-5)
        rownames(intensities_assay)[grep("dapi", rownames(intensities_assay))] <- "dapi"

        nucleus_assay <- t(as.matrix(subset(df, select = names(df)[intersect(grep("nucleus", names(df)), grep("_mean", names(df)))])))
        rownames(nucleus_assay) <- substr(rownames(nucleus_assay), start = 9, stop = nchar(rownames(nucleus_assay))-5)
        rownames(nucleus_assay)[grep("dapi", rownames(nucleus_assay))] <- "dapi"

        membrane_assay <- t(as.matrix(subset(df, select = names(df)[intersect(grep("membrane", names(df)), grep("_mean", names(df)))])))
        rownames(membrane_assay) <- substr(rownames(membrane_assay), start = 10, stop = nchar(rownames(membrane_assay))-5)
        rownames(membrane_assay)[grep("dapi", rownames(membrane_assay))] <- "dapi"


        ###### add check that each assay has same number of variables
        ###### add check that variable names are in the same order

        ## define variables for different slots
        # stat summaries of marker intensities including standard deviation, min, max, and total go into colData
        colData_vars <- c("cell_id", "tissue_category", "slide_id",
                          "cell_x_position", "cell_y_position",
                          names(df)[grep("area|phenotype|axis|compactness|min|max|std_dev|total", names(df))] )

        # make into spe object
        SpatialExperiment(
            assays = list(intensities = intensities_assay,
                          nucleus_intensities = nucleus_assay,
                          membrane_intensities = membrane_assay),
            sample_id = df$sample_name,
            colData = DataFrame(subset(df, select = colData_vars)),
            spatialCoordsNames = c("cell_x_position", "cell_y_position")
        )
    }) # end lapply
    spe <- do.call(cbind, spel)

    # save or return data
    if (save) {
        save(spe, file = out_path)
    }

    return(spe)
}

df <- data.frame(
    BiocVersion = "3.15",
    Genome = NA,
    SourceType = "TXT",
    SourceVersion = NA,
    Coordinate_1_based = NA,
    DataProvider = NA, # Add info in help file /Vignette
    RDataClass = "SpatialExperiment",
    DispatchClass = "Rds",
    Maintainer = "Julia Wrobel <julia.wrobel@cuanschutz.edu>",
    stringsAsFactors = FALSE
)

# subdirectory specific to current Bioc version
dir <- file.path("VectraPolarisData", df$BiocVersion)

dfs <- list(
    data.frame(
        Title = "HumanLungCancerV3",
        Species = "Homo sapiens",
        RDataPath = file.path(dir, "spe_lung.rds"),
        SourceUrl = "http://www.doi.org/10.1101/2021.02.24.432729",
        Description = paste(
            "Vectra 3 multiplex immunohistochemistry (mIHC) dataset",
            "of non-small cell lung cancer tissue with",
            "1,604,786 cells from 761 total images from 153 patients")  ## fill in these details
    ),
    data.frame(
        Title = "HumanOvarianCancerVP",
        Species = "Homo sapiens",
        RDataPath = file.path(dir, "spe_ovarian.rds"),
        SourceUrl = "http://www.doi.org/10.1158/1541-7786.mcr-21-0411",
        Description = paste(
            "Vectra Polaris multiplex immunohistochemistry (mIHC) dataset",
            "from a tumor microarray of cancerous ovarian tissue with",
            "1,610,431 cells from 132 total images from 132 patients") ## fill in these details
    )
)

dfs <- lapply(dfs, cbind, df)
df <- do.call(rbind, dfs)

tax_ids <- c(
    "Homo sapiens" = "9606")
df$TaxonomyId <- tax_ids[df$Species]

fnm <- "inst/extdata/metadata.csv"
write.csv(df, fnm, row.names = FALSE)

# Human Ovarian Cancer from Vectra Polaris experiment
library(tidyverse)
library(phenoptr)
library(SpatialExperiment)
library(VectraPolarisData)

source("inst/scripts/make-data.R")

######################################################################
# Convert Inform-processed mIHC data to SpatialExperiment object
sample_path = "data/ovarian"
spe_ovarian = readVectraTable(sample_path = sample_path,
                           save = FALSE)
# Data has 10 markers for 1610431 cells.
# 132 images
# 132 subjects


######################################################################
# Load clinical data
file_path_clinical = "data/ovarian/Ovarian_clinical.csv"
clinical_data = read_csv(file_path_clinical)

######################################################################
# Process clinical data

clinical_data = clinical_data %>%
  janitor::clean_names() %>%
  # select variables of interest
  select(sample_id = sample_name, tma, diagnosis, primary, recurrent, treatment_effect, stage,
         grade,
         survival_time = overall_survival,
         death = death_1_yes_0_no,
         BRCA_mutation= brca_mutation_y_1_n_0_n_a_blank, age_at_diagnosis,
         time_to_recurrence, parpi_inhibitor= par_pi, debulking) %>%
  mutate(stage = case_when(grepl("T1", stage) ~ "1",
    grepl("T2", stage) ~ "2",
    grepl("T3", stage) ~ "3",
    grepl("T4", stage) ~ "4"),
    sample_id = ifelse(is.na(sample_id), NA, paste0("030120 P9HuP6 TMA 1-", sample_id)))
######################################################################
# Add clinical data to spe object via colData

# obtain sample id variable (called sample_id in the VectraPolaris data) from cell level data
vectra_id <- tibble(sample_id = unique(colData(spe_ovarian)$sample_id))


# merge with clinical_data
clinical_data <- inner_join(vectra_id, clinical_data, by = "sample_id") %>%
  as.data.frame()


# add as table to the dataset as metadata
metadata(spe_ovarian)$clinical_data <- clinical_data


######################################################################
# save spe object
saveRDS(spe_ovarian, file = "data/spe_ovarian.rds")

#' @name VectraPolarisData
#' @title VectraPolarisData
#'
#' @aliases HumanLungCancerV3 HumanOvarianCancerVP
#'
#' @description
#' Vectra 3 and Vectra Polaris multiplex imaging datasets,
#' formatted into objects of class SpatialExperiment.
#' Datasets may be used for testing of and as examples in packages,
#' for tutorials and workflow demonstrations, or similar purposes.
#'
#' @details
#' The following Vectra multiplex imaging
#' datasets are currently available
#' (see the package vignette for links to details and data dictionaries):
#' \itemize{
#' \item{HumanLungCancerV3}
#' \item{HumanOvarianCancerVP}
#' }
#'
#' @return
#' a \code{\linkS4class{SpatialExperiment}} class object
#' with rows corresponding to samples (cells)
#' and columns to features (markers).
#'
#' @examples
#' # retrieve dataset of interest
#'
#' library(ExperimentHub)
#' eh <- ExperimentHub()        # initialize hub instance
#' q <- query(eh, "VectraPolarisData") # retrieve 'VectraPolarisData' records
#' id <- q$ah_id[1]             # specify dataset ID to load
#' spe <- eh[[id]]              # load specified dataset
#'
#'
#' @author Julia Wrobel
NULL

---
title: "VectraPolarisData"
author:
- name: Julia Wrobel and Tusharkanti Ghosh
  affiliation: Department of Biostatistics and Informatics, Colorado School of Public Health
output:
  BiocStyle::html_document:
    toc_float: true
package: VectraPolarisData
abstract: |
  The VectraPolarisData ExperimentHub package provides two large multiplex immunofluorescence datasets collected by Akoya Biosciences Vectra 3 and Vectra Polaris platforms. Image preprocessing (cell segmentation and phenotyping) was performed using  Inform software. Data cover are formatted into objects of class SpatialExperiment.
vignette: |
  %\VignetteIndexEntry{VectraPolarisData}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---


```{r, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```




# Loading the data

To retrieve a dataset, we can use a dataset's corresponding named function `<id>()`, where `<id>` should correspond to one a valid dataset identifier (see `?VectraPolarisData`). Below both the lung and ovarian cancer datasets are loaded this way.

```{r, message = FALSE, warning = FALSE}
library(VectraPolarisData)
spe_lung <- HumanLungCancerV3()
spe_ovarian <- HumanOvarianCancerVP()
```

Alternatively, data can loaded directly from Bioconductor's `r Biocpkg("ExperimentHub")` as follows. First, we initialize a hub instance and store the complete list of records in a variable `eh`. Using `query()`, we then identify any records made available by the `VectraPolarisData` package, as well as their accession IDs (EH7311 for the lung cancer data). Finally, we can load the data into R via `eh[[id]]`, where `id` corresponds to the data entry's identifier we'd like to load. E.g.:

```{r, eval = FALSE}
library(ExperimentHub)
eh <- ExperimentHub()        # initialize hub instance
q <- query(eh, "VectraPolarisData") # retrieve 'VectraPolarisData' records
id <- q$ah_id[1]             # specify dataset ID to load
spe <- eh[[id]]              # load specified dataset
```


# Data Representation

Both the `HumanLungCancerV3()` and `HumanOvarianCancerVP()` datasets are stored as `SpatialExperiment` objects. This allows users of our data to interact with methods built for `SingleCellExperiment`, `SummarizedExperiment`, and `SpatialExperiment` class methods in Bioconductor. See [this ebook](https://lmweber.org/OSTA-book/index.html#welcome) for more details on `SpatialExperiment`. To get cell level tabular data that can be stored in this format, raw multiplex.tiff images have been preprocessed, segmented and cell phenotyped using [`Inform`](https://www.akoyabio.com/phenoimager/software/inform-tissue-finder/) software from Akoya Biosciences.


The `SpatialExperiment` class was originally built for spatial transcriptomics data and follows the structure depicted in the schematic below (Righelli et al. 2021): 

```{r, echo=FALSE}
# image from Righelli et al. 2021
url <- "SPE.png"
```

<center><img src="`r url`"></center>


To adapt this class structure for multiplex imaging data we use slots in the following way:

* `assays` slot: `intensities`, `nucleus_intensities`, `membrane_intensities`
* `sample_id` slot: contains image identifier. For the VectraOvarianDataVP this also identifies the subject because there is one image per subject
* `colData` slot: Other cell-level characteristics of the marker intensities, cell phenotypes, cell shape characteristics
* `spatialCoordsNames` slot: The `x-` and `y-` coordinates describing the location of the center point in the image for each cell
* `metadata` slot: A dataframe of subject-level patient clinical characteristics.


# Transforming to other data formats

The following code shows how to transform the `SpatialExperiment` class object to a `data.frame` class object, if that is preferred for analysis. The example below is shown using the `HumanOvarianVP` dataset.

```{r, message = FALSE}
library(dplyr)

## Assays slots
assays_slot <- assays(spe_ovarian)
intensities_df <- assays_slot$intensities
rownames(intensities_df) <- paste0("total_", rownames(intensities_df))
nucleus_intensities_df<- assays_slot$nucleus_intensities
rownames(nucleus_intensities_df) <- paste0("nucleus_", rownames(nucleus_intensities_df))
membrane_intensities_df<- assays_slot$membrane_intensities
rownames(membrane_intensities_df) <- paste0("membrane_", rownames(membrane_intensities_df))

# colData and spatialData
colData_df <- colData(spe_ovarian)
spatialCoords_df <- spatialCoords(spe_ovarian)

# clinical data
patient_level_df <- metadata(spe_ovarian)$clinical_data

cell_level_df <- as.data.frame(cbind(colData_df, 
                                     spatialCoords_df,
                                     t(intensities_df),
                                     t(nucleus_intensities_df),
                                     t(membrane_intensities_df))
                               )


ovarian_df <- full_join(patient_level_df, cell_level_df, by = "sample_id")

```




# Citation Info

The objects provided in this package are rich data sources we encourage others to use in their own analyses. If you do include them in your peer-reviewed work, we ask that you cite our package and the original studies. 

To cite the `VectraPolarisData` package, use:

```{}
@Manual{VectraPolarisData,
    title = {VectraPolarisData: Vectra Polaris and Vectra 3 multiplex single-cell imaging data},
    author = {Wrobel, J and Ghosh, T},
    year = {2022},
    note = {Bioconductor R package version 1.0},
  }
```


To cite the `HumanLungCancerV3()` data in `bibtex` format, use:

```{}
@article{johnson2021cancer,
  title={Cancer cell-specific MHCII expression as a determinant of the immune infiltrate organization and function in the non-small cell lung cancer tumor microenvironment.},
  author={Johnson, AM and Boland, JM and Wrobel, J and Klezcko, EK and Weiser-Evans, M and Hopp, K and Heasley, L and Clambey, ET and Jordan, K and Nemenoff, RA and others},
  journal={Journal of Thoracic Oncology: Official Publication of the International Association for the Study of Lung Cancer},
  year={2021}
}
```

To cite the `HumanOvarianCancerVP()` data, use:

```{}
@article{steinhart2021spatial,
  title={The spatial context of tumor-infiltrating immune cells associates with improved ovarian cancer survival},
  author={Steinhart, Benjamin and Jordan, Kimberly R and Bapat, Jaidev and Post, Miriam D and Brubaker, Lindsay W and Bitler, Benjamin G and Wrobel, Julia},
  journal={Molecular Cancer Research},
  volume={19},
  number={12},
  pages={1973--1979},
  year={2021},
  publisher={AACR}
}
```



# Data Dictionaries

Detailed tables representing what is provided in each dataset are listed here

## HumanLungCancerV3

In the table below note the following shorthand:

* `[marker]` represents one of: `cd3`, `cd8`, `cd14`, `cd19`, `cd68`, `ck`, `dapi`, `hladr`,  
* `[cell region]` represents one of: entire_cell, membrane, nucleus

**Table 1: data dictionary for HumanLungCancerV3**

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-l6li{border-color:inherit;font-size:10px;text-align:left;vertical-align:top}
.tg .tg-0pky{border-color:inherit;text-align:left;vertical-align:top}
.tg .tg-jpc1{font-size:10px;text-align:left;vertical-align:top}
.tg .tg-0lax{text-align:left;vertical-align:top}
</style>
<table class="tg">
<thead>
  <tr>
    <th class="tg-0pky">Variable</th>
    <th class="tg-0pky"><span style="font-weight:bold">Slot</span></th>
    <th class="tg-0pky">Description</th>
    <th class="tg-0pky">Variable coding</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: intensities</td>
    <td class="tg-l6li">mean total cell intensity for [marker]&nbsp;&nbsp;</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: nucleus_intensities</td>
    <td class="tg-l6li">mean nucleus intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: membrane_intensities</td>
    <td class="tg-l6li">mean membrane intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">sample_id</td>
    <td class="tg-l6li"></td>
    <td class="tg-l6li">image identifier, also subject id for the ovarian data</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_id</td>
    <td class="tg-l6li" rowspan="13">colData<br><br><br><br><br><br><br><br></td>
    <td class="tg-l6li">cell identifier</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">slide_id</td>
    <td class="tg-l6li">slide identifier, also the patient id for the lung data</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">tissue category</td>
    <td class="tg-l6li">type of tissue (indicates a region of the image)</td>
    <td class="tg-l6li">Stroma or Tumor</td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_min</td>
    <td class="tg-l6li">min [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_max</td>
    <td class="tg-l6li">max [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_std_dev</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal"> [cell region] std dev of intensity for [marker]</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_total</td>
    <td class="tg-l6li">total [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_area_square_microns</td>
    <td class="tg-l6li">[cell region] area in square microns</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_compactness</td>
    <td class="tg-l6li">[cell region] compactness</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_minor_axis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] length of minor axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_major_axis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] length of major axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_axis_ratio</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] ratio of major and minor axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-jpc1">phenotype_[marker]</td>
    <td class="tg-jpc1">cell phenotype label as determined by Inform software</td>
    <td class="tg-0lax"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_x_position</td>
    <td class="tg-l6li" rowspan="2">spatialCoordsNames</td>
    <td class="tg-l6li">cell x coordinate</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_y_position</td>
    <td class="tg-l6li">cell y coordinate</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">gender</td>
    <td class="tg-l6li" rowspan="12">metadata</td>
    <td class="tg-l6li">gender</td>
    <td class="tg-l6li">"M", "F"</td>
  </tr>
  <tr>
    <td class="tg-l6li">mhcII_status</td>
    <td class="tg-l6li">MHCII status, from Johnson et.al. 2021</td>
    <td class="tg-l6li">"low", "high"</td>
  </tr>
  <tr>
    <td class="tg-l6li">age_at_diagnosis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">age at diagnosis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">stage_at_diagnosis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">stage of the cancer when image was collected</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">stage_numeric</td>
    <td class="tg-l6li">numeric version of stage variable</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">pack_years</td>
    <td class="tg-l6li">pack-years of cigarette smoking</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">survival_days</td>
    <td class="tg-l6li">time in days from date of diagnosis to date of death or censoring event</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">survival_status</td>
    <td class="tg-l6li">did the participant pass away?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">cause_of_death</td>
    <td class="tg-l6li">cause of death</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">recurrence_or_lung_ca_death</td>
    <td class="tg-l6li">did the participant have a recurrence or death event?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">time_to_recurrence_days</td>
    <td class="tg-l6li">time in days from date of diagnosis to first recurrent event</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">adjuvant_therapy</td>
    <td class="tg-l6li">whether or not the participant received adjuvant therapy</td>
    <td class="tg-l6li">"No", "Yes"</td>
  </tr>
</tbody>
</table>

## HumanOvarianCancerVP

In the table below note the following shorthand:

* `[marker]` represents one of: `cd3`, `cd8`, `cd19`, `cd68`, `ck`, `dapi`, `ier3`, `ki67`, `pstat3` 
* `[cell region]` represents one of: cytoplasm, membrane, nucleus

**Table 2: data dictionary for HumanOvarianCancerVP**

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-l6li{border-color:inherit;font-size:10px;text-align:left;vertical-align:top}
.tg .tg-fymr{border-color:inherit;font-weight:bold;text-align:left;vertical-align:top}
.tg .tg-0pky{border-color:inherit;text-align:left;vertical-align:top}
</style>
<table class="tg">
<thead>
  <tr>
    <th class="tg-fymr">Variable</th>
    <th class="tg-0pky"><span style="font-weight:bold">Slot</span></th>
    <th class="tg-fymr">Description</th>
    <th class="tg-fymr">Variable coding</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: intensities</td>
    <td class="tg-l6li">mean total cell intensity for [marker]&nbsp;&nbsp;</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: nucleus_intensities</td>
    <td class="tg-l6li">mean nucleus intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[marker]</td>
    <td class="tg-l6li">assays: membrane_intensities</td>
    <td class="tg-l6li">mean membrane intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">sample_id</td>
    <td class="tg-l6li"></td>
    <td class="tg-l6li">image identifier, also subject id for the ovarian data</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_id</td>
    <td class="tg-l6li" rowspan="12">colData<br><br><br><br><br><br><br><br></td>
    <td class="tg-l6li">cell identifier</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">slide_id</td>
    <td class="tg-l6li">slide identifier</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">tissue category</td>
    <td class="tg-l6li">type of tissue (indicates a region of the image)</td>
    <td class="tg-l6li">Stroma or Tumor</td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_min</td>
    <td class="tg-l6li">min [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_max</td>
    <td class="tg-l6li">max [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_std_dev</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal"> [cell region] std dev of intensity for [marker]</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_[marker]_total</td>
    <td class="tg-l6li">total [cell region] intensity for [marker]</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_area_square_microns</td>
    <td class="tg-l6li">[cell region] area in square microns</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_compactness</td>
    <td class="tg-l6li">[cell region] compactness</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_minor_axis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] length of minor axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_major_axis</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] length of major axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">[cell region]_axis_ratio</td>
    <td class="tg-l6li"><span style="font-weight:400;font-style:normal">[cell region] ratio of major and minor axis</span></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_x_position</td>
    <td class="tg-l6li" rowspan="2">spatialCoordsNames</td>
    <td class="tg-l6li">cell x coordinate</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">cell_y_position</td>
    <td class="tg-l6li">cell y coordinate</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">diagnosis</td>
    <td class="tg-l6li" rowspan="13">metadata</td>
    <td class="tg-l6li"></td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">primary</td>
    <td class="tg-l6li">primary tumor from initial diagnosis?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">recurrent</td>
    <td class="tg-l6li">tumor from a recurrent event (not initial diagnosis tumor)? </td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">treatment_effect</td>
    <td class="tg-l6li">was tumor treated with chemo prior to imaging?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">stage</td>
    <td class="tg-l6li">stage of the cancer when image was collected</td>
    <td class="tg-l6li">I,II,II,IV</td>
  </tr>
  <tr>
    <td class="tg-l6li">grade</td>
    <td class="tg-l6li">grade of cancer severity (nearly all 3)</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">survival_time</td>
    <td class="tg-l6li">time in months from date of diagnosis to date of death or censoring event</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">death</td>
    <td class="tg-l6li">did the participant pass away?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">BRCA_mutation</td>
    <td class="tg-l6li">does the participant have a BRCA mutation?</td>
    <td class="tg-l6li">0 = no, 1 = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">age_at_diagnosis</td>
    <td class="tg-l6li">age at diagnosis</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">time_to_recurrence</td>
    <td class="tg-l6li">time in months from date of diagnosis to first recurrent event</td>
    <td class="tg-l6li"></td>
  </tr>
  <tr>
    <td class="tg-l6li">parpi_inhibitor</td>
    <td class="tg-l6li">whether or not the participant received PARPi inhibitor</td>
    <td class="tg-l6li">N = no, Y = yes</td>
  </tr>
  <tr>
    <td class="tg-l6li">debulking</td>
    <td class="tg-l6li">subjective rating of how the tumor removal process went</td>
    <td class="tg-l6li">optimal, suboptimal, interval</td>
  </tr>
</tbody>
</table>



**Note**: the `debulking` variable described as `optimal` if surgeon believes tumor area was reduced to 1 cm or below; `suboptimal` if surgeon was unable to remove significant amount of tumor due to various reasons; `interval` if tumor removal came after three cycles of chemo 
     

# Session Info

```{r}
sessionInfo()
```

     

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/VectraPolarisData.R
\name{VectraPolarisData}
\alias{VectraPolarisData}
\alias{HumanLungCancerV3}
\alias{HumanOvarianCancerVP}
\title{VectraPolarisData}
\value{
a \code{\linkS4class{SpatialExperiment}} class object
with rows corresponding to samples (cells)
and columns to features (markers).
}
\description{
Vectra 3 and Vectra Polaris multiplex imaging datasets,
formatted into objects of class SpatialExperiment.
Datasets may be used for testing of and as examples in packages,
for tutorials and workflow demonstrations, or similar purposes.
}
\details{
The following Vectra multiplex imaging
datasets are currently available
(see the package vignette for links to details and data dictionaries):
\itemize{
\item{HumanLungCancerV3}
\item{HumanOvarianCancerVP}
}
}
\examples{
# retrieve dataset of interest

library(ExperimentHub)
eh <- ExperimentHub()        # initialize hub instance
q <- query(eh, "VectraPolarisData") # retrieve 'VectraPolarisData' records
id <- q$ah_id[1]             # specify dataset ID to load
spe <- eh[[id]]              # load specified dataset


}
\author{
Julia Wrobel
}
